#include<stdio.h>

main()
{
	int n,i,x,max,j;
	scanf("%d%d",&n,&x);
	int a[n];
	for(i=0;i<n;i++)
	scanf("%d",&a[i]);
	max=a[0];
	for(i=0;i<n;i++)
	if(a[i]>max)max=a[i];
	j=1;	
	for(max;max>n;max--)
	{
		j++;
	}
	
	printf("\n%d",j);
}